<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imrotate</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imresize.html">&lt;&lt; imresize</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_1aa4355ff9a84e213103262933eb8d3e.html">Structural Analysis and Shape Descriptors &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a> &gt; imrotate</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imrotate</h1>
    <p class="refpurpose">Rotate an image to given angle</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="functionid">imrotate</span><span class="default">(</span><span class="default">im1</span><span class="default">,</span><span class="default">deg</span><span class="default">,</span><span class="default">crp</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im1 :</span>
      <dd><p class="para">Source Image</p></dd></dt>
   <dt><span class="term">deg :</span>
      <dd><p class="para">Rotational angle in degree, positive indicating anti-clockwise direction</p></dd></dt>
   <dt><span class="term">crp :</span>
      <dd><p class="para">Returns only central portion output image which is the same size as source if set to 1</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">Rotated Image</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function rotate an image to a given angle</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/puffin.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">J</span> <span class="scilaboperator">=</span> <span class="scilabid">imrotate</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabnumber">45</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabcommand" href="scilab://figure">figure</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">J</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imtransform.html" class="link">imtransform</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imresize.html">&lt;&lt; imresize</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_7eeae156a7978b7102ac83272fa22c7c.html">Spatial Transformations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_1aa4355ff9a84e213103262933eb8d3e.html">Structural Analysis and Shape Descriptors &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
